CVE-2016-6252

Priority
Medium
Description
Integer overflow in shadow 4.2.1 allows local users to gain privileges via
crafted input to newuidmap.
References
Bugs
Notes
 leosilva> shadow version for precise-esm and vivid/ubuntu-core doesn't use
 leosilva> newuidmap binaries neither does any privileged access that makes
 leosilva> this fix necessary.
Package
Upstream:needs-triage
Ubuntu 17.10 (Artful Aardvark):released (1:4.2-3.2ubuntu2)
Ubuntu 12.04 ESM (Precise Pangolin):not-affected
Ubuntu 14.04 LTS (Trusty Tahr):released (1:4.1.5.1-1ubuntu9.4)
Ubuntu Core 15.04:not-affected
Ubuntu 16.04 LTS (Xenial Xerus):released (1:4.2-3.1ubuntu5.2)
Ubuntu 17.04 (Zesty Zapus):released (1:4.2-3.2ubuntu1.17.04.1)
Patches:
Vendor:https://bugzilla.suse.com/attachment.cgi?id=684679&action=diff
Upstream:https://github.com/shadow-maint/shadow/commit/1d5a926cc2d6078d23a96222b1ef3e558724dad1
More Information

Updated: 2017-08-11 23:55:10 UTC (commit 13081)